BSON_ERROR_RESET(3)

SYNOPSIS

            #define bson_error_reset(ErrorPointer)

PARAMETERS

    •   ErrorPointer: An l-value expression of type bson_error_t*. May be a null pointer.

DESCRIPTION

This function-like macro modifies a pointer to bson_error_t <> to be non-null, and clears any contained value using bson_error_clear() <>.

If the given pointer object is null, then the pointer is updated to point to a local anonymous bson_error_t <> object. After the evaluation of this macro, it is guaranteed that the given pointer is non-null.

Important:
        This function-like macro is not valid in C++!

Author
MongoDB, Inc

Copyright
2009-present, MongoDB, Inc.